ServerEvents.recipes(event => {
//event.shaped('kubejs:platinum_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:platinum_nugget'})
//event.shaped('9x kubejs:platinum_nugget', ['   ', ' V ', '   '], {V: 'kubejs:platinum_ingot'})
//event.shaped('9x kubejs:platinum_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:platinum_block'})
//event.shaped('kubejs:platinum_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:platinum_ingot'})
event.shaped('kubejs:universal_press', ['FPF', 'CSL', 'FEF'], {F: '#forge:ingots/sky_steel',  P: 'ae2:silicon_press', C: 'ae2:calculation_processor_press', S: 'minecraft:slime_ball', L: 'ae2:logic_processor_press', E: 'ae2:engineering_processor_press'})
event.shaped('minecraft:sculk_sensor', ['   ', 'VBV', 'DBD'], {V: 'minecraft:twisting_vines', B: 'minecraft:warped_wart_block', D: 'minecraft:crying_obsidian'})
event.shaped('9x minecraft:copper_ingot', ['   ', ' V ', '   '], {V: 'minecraft:copper_block'})
event.shaped('4x minecraft:light', ['   ', ' VV', ' VV'], {V: 'minecraft:torch'})
event.shaped('3x minecraft:sculk_vein', ['BV ', 'VV ', '   '], {V: 'minecraft:vine', B: 'minecraft:echo_shard'})
event.shaped('minecraft:powder_snow_bucket', ['BV ', '   ', '   '], {V: 'minecraft:bucket', B: 'minecraft:snow_block'})
event.shaped('8x minecraft:crying_obsidian', ['VVV', 'VBV', 'VVV'], {V: 'minecraft:obsidian', B: 'minecraft:ghast_tear'})
event.shaped('3x minecraft:glow_lichen', ['BV ', 'VV ', '   '], {V: 'minecraft:vine', B: 'minecraft:glowstone_dust'})
event.shaped('minecraft:glowstone_dust', ['V  ', '   ', '   '], {V: 'minecraft:glow_berries'})
event.shaped('12x minecraft:end_portal_frame', ['DBD', 'DED', 'VVV'], {V: 'minecraft:end_stone', B: 'minecraft:ender_eye', E: 'divinerpg:call_of_the_watcher', D: '#forge:glass'})
event.shaped('minecraft:bell', ['VBV', 'VDV', 'VEV'], {V: 'minecraft:stone', B: 'minecraft:stick', E: 'minecraft:gold_nugget', D: 'minecraft:gold_block'})
event.shaped('tombstone:essence_of_undeath', [' V ', 'VBV', ' V '], {V: 'tombstone:grave_dust', B: '#forge:heads'})
event.shaped('mysticalagriculture:awakened_supremium_essence', ['VVV', 'VBV', 'VVV'], {V: 'mysticalagradditions:insanium_essence', B: 'mysticalagriculture:master_infusion_crystal'})
event.shaped('mysticalagradditions:creative_essence', ['BVD', 'BVD', 'BVD'], {V: 'mysticalagriculture:awakened_supremium_essence', B: 'extendedcrafting:luminessence_block', D: 'twilightforest:fiery_block'})
event.shaped('kubejs:neutron_gear', [' V ', 'VBV', ' V '], {V: 'avaritia:neutronium_ingot', B: 'enderio:dark_bimetal_gear'})
event.shaped('solarpanels:creative_solar_panel', ['AAA', 'BCB', 'DED'], {A: 'solarpanels:creative_solar_element', B: 'mekanism:ingot_osmium', C: 'solarpanels:photonic_solar_panel', D: 'mekanism:hdpe_sheet', E: 'solarpanels:creative_energy_tablet'})
event.shaped('solarpanels:creative_solar_element', ['AAA', 'BBB', 'CCC'], {A: 'minecraft:pink_stained_glass_pane', B: 'mekanism:pellet_antimatter', C: 'kubejs:neutron_gear'})
event.shaped('solarpanels:creative_energy_tablet', ['ABA', 'CDC', 'ABA'], {A: 'mekanism:ultimate_tier_installer', B: 'extendedcrafting:luminessence', C: 'extendedcrafting:the_ultimate_ingot', D: 'solarpanels:photonic_energy_tablet'})
event.shaped('create:creative_blaze_cake', [' V ', 'VVV', ' V '], {V: 'create:blaze_cake'})
event.shaped('dragonsurvival:princess_summon', ['BBB', 'BVB', 'BBB'], {V: 'dragonsurvival:prince_summon', B: 'dragonsurvival:elder_dragon_bone'})
event.shaped('dragonsurvival:prince_summon', ['VBV', 'BVB', 'VBV'], {V: 'dragonsurvival:weak_dragon_heart', B: 'minecraft:enchanted_golden_apple'})
event.shaped('8x ae2:certus_quartz_crystal', ['VVV', 'V V', 'VVV'], {V: 'gtceu:certus_quartz_gem'})
event.shaped('minecraft:rib_armor_trim_smithing_template', ['BVB', 'BDB', 'BBB'], {V: 'minecraft:netherite_upgrade_smithing_template', B: 'minecraft:diamond', D: 'minecraft:crimson_nylium'})
event.shaped('minecraft:snout_armor_trim_smithing_template', ['BVB', 'BDB', 'BBB'], {V: 'minecraft:netherite_upgrade_smithing_template', B: 'minecraft:diamond', D: 'minecraft:blackstone'})
event.shaped('kubejs:bonus_case', ['   ', ' VV', ' VV'], {V: Item.of('ftbquests:lootcrate', '{type:"_"}') .weakNBT()})
event.shaped('kubejs:silver_case', [' V ', 'VBV', ' V '], {V: Item.of('ftbquests:lootcrate', '{type:"_2"}') .weakNBT(), B: 'kubejs:bonus_case'})
event.shaped('kubejs:gold_case', [' V ', 'VBV', ' V '], {V: Item.of('ftbquests:lootcrate', '{type:"_3"}') .weakNBT(), B: 'kubejs:silver_case'})
event.shaped('kubejs:diamond_case', [' V ', 'VBV', ' V '], {V: Item.of('ftbquests:lootcrate', '{type:"_4"}') .weakNBT(), B: 'kubejs:gold_case'})
event.shaped('kubejs:botania_case', ['   ', ' BB', ' BB'], {B: 'kubejs:diamond_case'})
event.shaped('kubejs:solar_case', ['   ', ' BB', ' BB'], {B: 'kubejs:botania_case'})
event.shaped('immersiveengineering:capacitor_creative', ['DBD', 'BVB', 'DBD'], {V: Item.of('mekanism:creative_energy_cube', '{mekData:{EnergyContainers:[{Container:0b,stored:"18446744073709551615.9999"}],componentConfig:{config0:{side0:4,side1:4,side2:4,side3:4,side4:4,side5:4}}}}') .weakNBT(), B: Item.of('immersiveengineering:capacitor_hv', '{energy:0}') .weakNBT(), D: 'immersiveengineering:heavy_engineering'})
event.shaped('rftoolsbase:machine_frame', ['ABA', 'CDC', 'ABA'], {A: '#forge:ingots/enderium', B: 'mekanism:alloy_atomic', C: 'mekanism:ultimate_control_circuit', D: 'mekanism:steel_casing'})
event.shaped('createsifter:advanced_custom_mesh', [' V ', 'VBV', ' V '], {V: '#forge:ingots/hssg', B: 'createsifter:advanced_brass_mesh'})
event.shaped('4x ae2:quartz_glass', ['BVB', 'VBV', 'BVB'], {V: '#forge:glass', B: '#forge:dusts/quartz'})
event.shaped('3x ae2:quartz_fiber', ['VVV', 'BBB', 'VVV'], {V: '#forge:glass', B: '#forge:dusts/quartz'})
event.shaped('minecraft:furnace', ['VVV', 'VBV', 'VVV'], {V: '#forge:cobblestone', B: 'minecraft:campfire'})
event.shaped('dragonseeker:godly_dragonseeker', ['VEV', 'BBB', 'VDV'], {V: 'twilightforest:fiery_ingot', B: 'minecraft:diamond', E: 'dragonseeker:legendary_dragonseeker', D: 'dragonseeker:epic_dragonseeker'})
event.shaped('9x kubejs:nightsky_redstone', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_redstone_block'})
event.shaped('kubejs:nightsky_redstone_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_redstone'})
event.shaped('9x kubejs:charged_nightsky_redstone', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_redstone_block'})
event.shaped('kubejs:charged_nightsky_redstone_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_redstone'})
event.shaped('9x kubejs:charged_nightsky_emerald', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_emerald_block'})
event.shaped('kubejs:charged_nightsky_emerald_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_emerald'})
event.shaped('9x kubejs:nightsky_emerald', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_emerald_block'})
event.shaped('kubejs:nightsky_emerald_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_emerald'})
event.shaped('9x kubejs:charged_nightsky_coal', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_coal_block'})
event.shaped('kubejs:charged_nightsky_coal_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_coal'})
event.shaped('9x kubejs:nightsky_coal', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_coal_block'})
event.shaped('kubejs:nightsky_coal_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_coal'})
event.shaped('9x kubejs:nightsky_iron', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_iron_block'})
event.shaped('kubejs:nightsky_iron_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_iron'})
event.shaped('9x kubejs:charged_nightsky_iron', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_iron_block'})
event.shaped('kubejs:charged_nightsky_iron_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_iron'})
event.shaped('9x kubejs:charged_nightsky_lapis', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_lapis_block'})
event.shaped('kubejs:charged_nightsky_lapis_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_lapis'})
event.shaped('9x kubejs:charged_nightsky_diamond', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_diamond_block'})
event.shaped('kubejs:charged_nightsky_diamond_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_diamond'})
event.shaped('9x kubejs:nightsky_diamond', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_diamond_block'})
event.shaped('kubejs:nightsky_diamond_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_diamond'})
event.shaped('9x kubejs:nightsky_lapis', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_lapis_block'})
event.shaped('kubejs:nightsky_lapis_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_lapis'})
event.shaped('kubejs:supreme_endestest_pearl', ['CBD', 'EAF', 'GBH'], {A: 'gtceu:ender_pearl_block', B: 'kubejs:rune_of_dragon', C: 'kubejs:charged_nightsky_coal', D: 'kubejs:charged_nightsky_diamond', E: 'kubejs:charged_nightsky_emerald', F: 'kubejs:charged_nightsky_iron', G: 'kubejs:charged_nightsky_lapis', H: 'kubejs:charged_nightsky_redstone'})
event.shaped('kubejs:custom_core_1', ['BAB', 'ABA', 'BAB'], {A: 'mekanism:pellet_antimatter', B: 'kubejs:custom_core'})
event.shaped('botania:mana_pool', ['BEB', 'VDV', 'BEB'], {V: 'botania:diluted_pool', B: 'botania:livingrock', E: 'botania:livingrock_slab', D: 'sophisticatedstorage:stack_upgrade_tier_1'})
event.shaped('2x thermal:apatite', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:apatite_essence'})
event.shaped('2x thermal:sulfur', ['VVV', '   ', '   '], {V: 'mysticalagriculture:sulfur_essence'})
event.shaped('2x thermal:rubber', ['VVV', '   ', '   '], {V: 'mysticalagriculture:rubber_essence'})
event.shaped('4x thermal:invar_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:invar_essence'})
event.shaped('4x immersiveengineering:ingot_aluminum', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:aluminum_essence'})
event.shaped('4x thermal:invar_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:invar_essence'})
event.shaped('4x thermal:tin_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:tin_essence'})
event.shaped('4x thermal:lead_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:lead_essence'})
event.shaped('4x immersiveengineering:ingot_nickel', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:nickel_essence'})
event.shaped('4x immersiveengineering:ingot_uranium', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:uranium_essence'})
event.shaped('4x thermal:bronze_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:bronze_essence'})
event.shaped('4x mekanism:ingot_steel', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:steel_essence'})
event.shaped('4x thermal:silver_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:silver_essence'})
event.shaped('4x create:brass_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:brass_essence'})
event.shaped('4x create:zinc_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:zinc_essence'})
event.shaped('2x thermal:signalum_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:signalum_essence'})
event.shaped('2x thermal:enderium_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:enderium_essence'})
event.shaped('2x thermal:electrum_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:electrum_essence'})
event.shaped('2x thermal:niter_dust', ['VVV', '   ', '   '], {V: 'mysticalagriculture:niter_essence'})
event.shaped('2x thermal:niter', ['   ', 'VVV', '   '], {V: 'mysticalagriculture:niter_essence'})
event.shaped('2x thermal:constantan_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:constantan_essence'})
event.shaped('2x thermal:ruby', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:ruby_essence'})
event.shaped('2x thermal:sapphire', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:sapphire'})
event.shaped('2x thermal:lumium_ingot', ['VVV', 'V V', 'VVV'], {V: 'mysticalagriculture:lumium_essence'})
})